%define mod_name	retry_decorator
%define pkg_name	retry-decorator

Name:		python-%{mod_name}
Summary:	Decorator for retrying when exceptions occur
Version:	1.0.0
Release:	%mkrel 12
Source0:	%{pkg_name}-%{version}.tar.gz
URL:		https://github.com/pnpnpn/retry-decorator
Group:		Development/Python
License:	MIT
BuildArch:	noarch

%description
Decorator for retrying when exceptions occur.

%package -n python3-%{mod_name}
Summary:	Decorator for retrying when exceptions occur
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-%{mod_name}
Decorator for retrying when exceptions occur.

%prep
%setup -q -n %{pkg_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%{__python3} setup.py install --root=%{buildroot} --skip-build

%files -n python3-%{mod_name}
%doc CHANGES.txt README.rst LICENSE.txt
%{python3_sitelib}/%{mod_name}
%{python3_sitelib}/%{mod_name}-%{version}-*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-12.mga8
+ Revision: 1535868
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.0.0-11.mga8
+ Revision: 1452864
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 1.0.0-10.mga7
+ Revision: 1354237
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1290002
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-8.mga7
+ Revision: 1135612
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 970940
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.0.0-6.mga6
+ Revision: 888868
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 739128
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-4.mga5
+ Revision: 729651
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 688310
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.0-2.mga5
+ Revision: 628992
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.0.0-1.mga4
+ Revision: 555936
- imported package python-retry_decorator

